<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2019-10-29 Tue 12:49 -->
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>ISWC 2019 Tutorial: Scalable construction of sustainable knowledge bases</title>
<meta name="generator" content="Org mode" />
<meta name="author" content="Martin" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/style.css" />
<link rel="stylesheet" type="text/css" href="https://www.ottr.xyz/inc/spec.css" />
<script type="application/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<script type="application/javascript" src="https://www.ottr.xyz/inc/toc.js"></script>
</head>
<body>
<div id="content">
<header>
<h1 class="title">ISWC 2019 Tutorial: Scalable construction of sustainable knowledge bases</h1>
</header><div id="left">
<p>
  <a href="#top">top</a>
  <!--<br/>
  examples:
  <span class="button" onclick="$('.examplebox').show()">show</span>
  /
  <span class="button" onclick="$('.examplebox').hide()">hide</span>
  -->
</p>
  <h4>Table of Contents</h4>
  <div id="toc"></div>
</div>

<div id="right">
  <a name="top"></a>
  <h1 class="title">
ISWC 2019 Tutorial: Scalable construction of sustainable knowledge bases</h1>
  <img id="logo" alt="OTTR" src="../../logo/tutOTTR.png"/>
  <p><b>
   Full day tutorial at  <a href="https://iswc2019.semanticweb.org/tutorials/">ISWC 2019</a>.
  </b></p>
  <p><b>
   See <a href="http://ottr.xyz">ottr.xyz</a> for an introduction to OTTR, including examples and interactive demos.
  </b></p>

<div id="toc-content">

<div id="outline-container-orgf90afe8" class="outline-2">
<h2 id="orgf90afe8"><span class="section-number-2">1</span> Description</h2>
<div class="outline-text-2" id="text-1">
<p>
A major barrier for the adoption of semantic web technologies in
  industry is the construction of sustainable knowledge bases; domain
  experts and end-users often find semantic web languages and tools
  difficult to use.
</p>

<p>
Reasonable Ontology Templates (OTTR) is a language and framework
that  allows abstractions or modelling patterns over RDF/OWL to be
 succinctly represented and instantiated. It is designed to address
the needs and expertise domain experts, ontology
engineers, and data managers in the process of creating and
maintaining high-quality, maintainable knowledge bases.
</p>

<p>
The tutorial is relevant for semantic web practitioners and ontology
engineers who are eager to make efficient use of modelling patterns
in their work, and for information managers from industry looking
for possible ways to introduce ontology development into their
enterprise.
</p>
</div>
</div>


<div id="outline-container-org3e764ca" class="outline-2">
<h2 id="org3e764ca"><span class="section-number-2">2</span> Learning outcome</h2>
<div class="outline-text-2" id="text-2">
<p>
After participating, tutorial participants should be able to:
</p>

<ul class="org-ul">
<li>create a knowledge base using templates;</li>
<li>understand and describe the business case for template-based
knowledge bases;</li>
<li>select the tools and processes required for enterprise use.</li>
</ul>


<p>
In addition to the presentations, tutorial participants will have ample opportunity to try the
framework for themselves in a variety of plenary and individual hands-on
exercises. 
</p>

<p>
The principles of OTTR templates are possible to grasp without
prior knowledge of semantic web technologies. However, participants
will benefit from a basic knowledge of RDF and OWL, and
experience from using these languages and related tools in order to
fully appreciate the features of OTTR templates&#x2014;no introduction
to RDF or OWL will be given. Participants that wish to work
with the individual exercises will need to be their own laptop.
</p>
</div>
</div>


<div id="outline-container-org43c62e2" class="outline-2">
<h2 id="org43c62e2"><span class="section-number-2">3</span> Schedule</h2>
<div class="outline-text-2" id="text-3">
<div class="org-center">
<table>


<colgroup>
<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left">09:20&#x2013;10:40</td>
<td class="org-left"><b><b>Introduction:</b></b>  Get to know us and each other, general motivation and introduction to the OTTR appraoch</td>
</tr>

<tr>
<td class="org-left">10:40&#x2013;11:20</td>
<td class="org-left"><i>Coffee Break</i></td>
</tr>

<tr>
<td class="org-left">11:20&#x2013;12:40</td>
<td class="org-left"><b><b>Fundamental Features of OTTR:</b></b> Learn the basics of OTTR and how to use the various features in a hands-on session</td>
</tr>

<tr>
<td class="org-left">12:40&#x2013;14:00</td>
<td class="org-left"><i>Lunch</i></td>
</tr>

<tr>
<td class="org-left">14:00&#x2013;15:20</td>
<td class="org-left"><b><b>Modeling in Practice:</b></b> Demonstration of modeling methodology and its uses in an industrial use case</td>
</tr>

<tr>
<td class="org-left">15:20&#x2013;16:00</td>
<td class="org-left"><i>Coffee Break</i></td>
</tr>

<tr>
<td class="org-left">16:00&#x2013;17:20</td>
<td class="org-left"><b><b>OTTR for Maintenance:</b></b> Benefits of OTTR for ontology and library maintenance, applied in industrial use case</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>

<div id="outline-container-org0749e36" class="outline-2">
<h2 id="org0749e36"><span class="section-number-2">4</span> Material</h2>
<div class="outline-text-2" id="text-4">
<p>
The tutorial material consists of <a href="./main.pdf">slides</a> and <a href="http://spec.ottr.xyz/pOTTR/0.1">exercises</a>. 
</p>

<p>
The exercises will make use of our reference implementation <i>Lutra</i>
which available for download via <a href="http://ottr.xyz">http://ottr.xyz</a> or in a feature
limited web application <i>WebLutra</i> at <a href="http://weblutra.ottr.xyz">http://weblutra.ottr.xyz</a>.
</p>
</div>
</div>

<div id="outline-container-org74e1cdd" class="outline-2">
<h2 id="org74e1cdd"><span class="section-number-2">5</span> Presenters</h2>
<div class="outline-text-2" id="text-5">
<p>
<a href="http://folk.uio.no/martige">Martin G. Skjæveland</a> is a researcher at the University of Oslo and
Sirius Center for Scalable Data Access, and the lead developer of
Reasonable Ontology Templates.
</p>

<p>
<a href="https://www.uwa.edu.au/Profile/Melinda-Hodkiewicz">Melinda Hodkiewicz</a>, professor at University of Western Australia, is
an engineering academic working on multi-disciplinary projects to
improve maintenance, asset management and safety practices. She is
currently a Visiting Fellow at the Alan Turing Institute in the UK
where she is actively involved in the development of ontology and
natural language processing of maintenance records. 
</p>

<p>
<a href="https://www.mn.uio.no/ifi/personer/vit/leifhka/">Leif Harald Karlsen</a> is a senior lecturer at the University of
Oslo. He has previously worked as a head engineer at the Sirius Center for Scalable Data Access working full time on the
implementation of OTTR.
</p>

<p>
<a href="https://www.mn.uio.no/ifi/english/people/aca/danielup/">Daniel P. Lupp</a> is a postdoctoral researcher at the University of Oslo working on best-practice methodologies for the use of OTTR in ontology specification and maintenance.
</p>
</div>
</div>
</div>
</body>
</html>
